
QGIS Application - Bug report #6323

"marker on every vertex" misses vertices

2012-09-09 01:20 PM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15610

Description

The image shows rendering with a "marker on every vertex" style of this geometry:

LINESTRING(1 10,2 1,2 1,3 1,14 1,15 10)

http://strk.keybit.net/tmp/bogus_style.png

It is clearly missing a vertex on the bottom-left (2 1, I guess).

The point is duplicated, in case it matters.

History

#1 - 2013-08-12 12:39 PM - Sandro Santilli

I confirm the bug with 1.8.0-Lisboa.

It's fixed in 1.9.0-alpha as of Aug, 21 2013 (58477fe)

There's no 1.8.1 target to set this to.

#2 - 2013-08-13 02:01 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Sandro Santilli wrote:

I confirm the bug with 1.8.0-Lisboa.

It's fixed in 1.9.0-alpha as of Aug, 21 2013 (58477fe)

There's no 1.8.1 target to set this to.

qgis 2.0 is due at the end of the month and there are no backports.
